{"openapi":"3.0.1","info":{"title":"API for SOAM.","description":"The SOAM API is used to support login functionality for the SOAM Keycloak Instance.","version":"1"},"servers":[{"url":"https://soam-api-75e61b-dev.apps.silver.devops.gov.bc.ca","description":"Generated server url"}],"security":[{"OAUTH2":["SOAM_LOGIN"]}],"paths":{"/login":{"post":{"tags":["soam-controller"],"operationId":"performLogin","parameters":[{"name":"correlationID","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/link":{"post":{"tags":["soam-controller"],"operationId":"performBCSCLink","parameters":[{"name":"correlationID","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SoamLoginEntity"}}}}}}},"/{typeCode}/{typeValue}":{"get":{"tags":["soam-controller"],"operationId":"getSoamLoginEntity","parameters":[{"name":"typeCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"typeValue","in":"path","required":true,"schema":{"type":"string"}},{"name":"correlationID","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SoamLoginEntity"}}}},"404":{"description":"NOT FOUND.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SoamLoginEntity"}}}}}}},"/{ssoGuid}/sts-user-roles":{"get":{"tags":["soam-controller"],"operationId":"getStsUserRolesByGuid","parameters":[{"name":"ssoGuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"correlationID","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}},"404":{"description":"NOT FOUND.","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/userInfo":{"get":{"tags":["soam-controller"],"operationId":"getSoamLoginEntity_1","parameters":[{"name":"correlationID","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SoamLoginEntity"}}}},"404":{"description":"NOT FOUND.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SoamLoginEntity"}}}}}}},"/tenant":{"get":{"tags":["tenant-controller"],"operationId":"determineTenantAccess","parameters":[{"name":"clientID","in":"query","required":true,"schema":{"type":"string"}},{"name":"tenantID","in":"query","required":true,"schema":{"type":"string"}},{"name":"correlationID","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TenantAccess"}}}}}}}},"components":{"schemas":{"MultiValueMapStringString":{"type":"object","properties":{"all":{"type":"object","additionalProperties":{"type":"string"},"writeOnly":true},"empty":{"type":"boolean"}},"additionalProperties":{"type":"array","items":{"type":"string"}}},"SoamLoginEntity":{"type":"object","properties":{"student":{"$ref":"#/components/schemas/SoamStudent"},"serviceCard":{"$ref":"#/components/schemas/SoamServicesCard"},"digitalIdentityID":{"type":"string","format":"uuid"}}},"SoamServicesCard":{"type":"object","properties":{"servicesCardInfoID":{"type":"string","format":"uuid"},"digitalIdentityID":{"type":"string","format":"uuid"},"did":{"type":"string"},"userDisplayName":{"type":"string"},"givenName":{"type":"string"},"givenNames":{"type":"string"},"surname":{"type":"string"},"birthDate":{"type":"string"},"gender":{"type":"string"},"email":{"type":"string"},"identityAssuranceLevel":{"type":"string"},"postalCode":{"type":"string"},"createUser":{"type":"string"},"createDate":{"type":"string"},"updateUser":{"type":"string"},"updateDate":{"type":"string"}}},"SoamStudent":{"type":"object","properties":{"studentID":{"type":"string","format":"uuid"},"pen":{"type":"string"},"legalFirstName":{"type":"string"},"legalMiddleNames":{"type":"string"},"legalLastName":{"type":"string"},"dob":{"type":"string"},"sexCode":{"type":"string"},"genderCode":{"type":"string"},"dataSourceCode":{"type":"string"},"usualFirstName":{"type":"string"},"usualMiddleNames":{"type":"string"},"usualLastName":{"type":"string"},"email":{"type":"string"},"deceasedDate":{"type":"string"},"createUser":{"type":"string"},"createDate":{"type":"string"},"updateUser":{"type":"string"},"updateDate":{"type":"string"}}},"TenantAccess":{"type":"object","properties":{"clientID":{"type":"string"},"tenantID":{"type":"string"},"isValid":{"type":"string"}}}}}}